#include "printlib.h"

int main() {
    
    int x,y,z,t;
    
    x = 12;
    y = -21;
    z = 14;
    t = -4;
    
    println_int(x * y);
    println_int(y * z);
    println_int(z * x);
    println_int(y * t);
    println_int(z * y);
    println_int(y * x);
    println_int(x * z);
    println_int(t * y);
    return 0;
}

// EXPECTED
// -252
// -294
// 168
// 84
// -294
// -252
// 168
// 84
